%define anolis_release 1
%global pypi_name PyMCubes
%global pypi_version 0.1.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Marching cubes for Python

License:        BSD 3-clause
URL:            https://github.com/pmneila/PyMCubes
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(scipy) >= 1

%description
PyMCubes is an implementation of the marching cubes algorithm to extract 
iso-surfaces from volumetric data. The volumetric data can be given as a 
three-dimensional NumPy array or as a Python function f(x, y, z).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy)
Requires:       python3dist(scipy) >= 1
%description -n python3-%{pypi_name}
PyMCubes is an implementation of the marching cubes algorithm to extract 
iso-surfaces from volumetric data. The volumetric data can be given as a 
three-dimensional NumPy array or as a Python function f(x, y, z).


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitearch}/mcubes
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.1.4-1
- Initial package.
